﻿@model PatientCard.Models.VisitHistoryViewModel

@{
    ViewBag.Title = "VisitInfo";
}


<div id="showmodal" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button class="close" data-dismiss="modal" area-hidden="true">X</button>
                <h4>История посещения</h4>
            </div>
            <div class="modal-body">
                @using (Html.BeginRouteForm("DefaultApi", new { controller = "VisitHistory", httproute = "true" }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                {
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                    @Html.HiddenFor(m => m.Id)
                    @Html.HiddenFor(m => m.PatientId)
                    <div class="form-group">
                        @Html.LabelFor(m => m.VisitDate, new { @class = "col-md-2 control-label" })
                        <div class="col-md-10">
                            @Html.TextBoxFor(m => m.VisitDate, new { @class = "form-control", min = new DateTime(1900, 01, 01).ToString("yyyy-MM-dd"), max = DateTime.Today.ToString("yyyy-MM-dd"), type = "date" })
                            @Html.ValidationMessageFor(m => m.VisitDate, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.DoctorType, new { @class = "col-md-2 control-label" })
                        <div class="col-md-10">
                            @Html.EnumDropDownListFor(m => m.DoctorType, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.DoctorType, "", new { @class = "text-danger" })
                        </div>

                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.FIO, new { @class = "col-md-2 control-label" })
                        <div class="col-md-10">
                            @Html.TextBoxFor(m => m.FIO, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.FIO, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.Diagnosis, new { @class = "col-md-2 control-label" })
                        <div class="col-md-10">
                            @Html.TextAreaFor(m => m.Diagnosis, new { @class = "form-control", @type = "phone" })
                            @Html.ValidationMessageFor(m => m.Diagnosis, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.Complaints, new { @class = "col-md-2 control-label" })
                        <div class="col-md-10">
                            @Html.TextAreaFor(m => m.Complaints, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.Complaints, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="submit" class="btn btn-default" value="Сохранить" />
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>

<script src="~/Scripts/js/ModalHelper.js"></script>
<script src="~/Scripts/jquery.validate.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
<script src="~/Scripts/jquery.unobtrusive-ajax.min.js"></script>
<script>
    $("#PhoneNumber").keyup(function () {
        $(this).val($(this).val().replace(/^(\d{1})(\d{3})(\d{3})(\d{4})+$/, "$1($2)$3-$4"));
    })
</script>

